# python-gnupg #
================

Fork of python-gnupg-0.3.2, patched to remove ```Popen([...], shell=True)```.

### Installation ###

#### From this git repository ####
To install this package from this git repository, do:

```
git clone https://github.com/isislovecruft/python-gnupg.git
cd python-gnupg
make install
make test
```

Optionally to build the documentation after installation, do:
```
make docs
```

To get started using python-gnupg's API, see the [online documentation](https://python-gnupg.readthedocs.org/en/latest/),
and import the module like so:
```
>>> import gnupg
```

The primary interface class you'll likely want to interact with is
[```gnupg.GPG```](https://python-gnupg.readthedocs.org/en/latest/gnupg.html#gpg):
```
>>> gpg = gnupg.GPG(gpgbinary='/usr/bin/gpg',
...     gpghome='./keys',
...     pubring='pubring.gpg',
...     secring='secring.gpg')
>>> batch_key_input = gpg.gen_key_input()
>>> print batch_key_input
Key-Type: RSA
Name-Email: isis@wintermute
Name-Comment: Generated by gnupg.py
Key-Length: 4096
Name-Real: Autogenerated Key
%pubring /home/isis/code/python-gnupg/keys/pubring.gpg
%secring /home/isis/code/python-gnupg/keys/secring.gpg
%commit

>>> key = gpg.gen_key(batch_key_input)
>>> print key.fingerprint
245D8FA30F543B742053949F553C0E154F2E7A98

```

#### From PyPI ####
Hold your horses, boy. I haven't finished development, so the packages on
[PyPI](https://pypi.python.org) are still the old versions belonging to the
other authors.

### Bug Reports & Feature Requests ###
Our bugtracker is [here](https://leap.se/code/projects/eip_server/issue/new). 

Please use that for bug reports and feature requests instead of github's
tracker. We're using github for code commenting and review between
collaborators.
